Page tree

The SQL Safe Backup components have the following general software requirements, as well as specific requirements outlined in the following sections. If a service pack is not specified, a service pack is not required for that version of the software.

SQL Safe Backup is signed by SHA-2 code signing hash algorithms.

The following Windows Operating System versions require a Windows update to support SHA-2 code signing:

  • Windows Server 2008 SP2
  • Windows Server 2008 R2 SP1

For more information about Windows versions and Microsoft updates, please visit Windows Support.

SQL Safe Backup supports the built-in clustering technology included with the following versions of Microsoft Windows operating systems:

  • Microsoft Windows Server 2003 R2
  • Microsoft Windows Server 2003 SP2
  • Microsoft Windows Server 2008 SP2
  • Microsoft Windows Server 2008 R2 SP1
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016

Keep in mind, SQL Safe 8.5.2 can be installed without the IDERA Dashboard on an Operating System 2003.

Running the combined installer will display the following message: "The current Operating System is not supported by this product".

General Software Requirements

  • Microsoft Data Access Components (MDAC) 2.8 or later.
  • Microsoft .NET Framework version 4.0 or higher. If this software is not already installed on your computer, you must install it prior to the installation of SQL Safe Backup. This software can be installed from the installation kit by clicking Prerequisites on the Install window of the setup program. For more information about the .NET Framework, see the .NET Framework Versions and Dependencies article on MSDN.
  • The following lists the web browser minimum requirements:
    • Internet Explorer IE 10.x+
    • Microsoft Edge (new MS Browser in Windows 10)
    • Mozilla Firefox
    • Google Chrome
  • Microsoft Visual C++ 2015 Update 3 Redistributable.

SQL Safe Management Components

(SQL Safe Management Console, SQL Safe Collection Service, SQL Safe Management Service, and SQL Safe Rest Service)

The SQL Safe Management components can run on 64-bit computers. Each component requires one of the following operating systems:

  • Microsoft Windows Server 2003 SP2 or later
  • Microsoft Windows Server 2008 SP2 or later
  • Microsoft Windows Server 2008 R2 SP1
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 8
  • Microsoft Windows 10
  • Microsoft Windows 2016
  • Microsoft Windows 2019

SQL Safe Backup Agent

(SQL Safe Backup Service, SQL Safe Filter Service, and SQL Safe Object Level Recovery Service)

The SQL Safe Backup Agent is supported to run on both 32-bit and 64-bit computers. The Backup Agent requires one of the following operating systems and one of the following Microsoft SQL Server versions:

  • Microsoft Windows Server 2003 SP2 or later
  • Microsoft Windows Server 2008 SP2 or later
  • Microsoft Windows Server 2008 R2 SP1
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 8
  • Microsoft Windows 10 
  • Microsoft Windows 2016
  • Microsoft Windows 2019
  • Microsoft SQL Server 2005 SP1 or later - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2008 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2008 R2 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2012 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2014 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2016 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2017 CU4 or later - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2019 - All Editions (Express, Standard, Enterprise, etc.)

SQL Safe Repository

The computer hosting the SQL Safe Repository requires one of the following operating systems and one of the following Microsoft SQL Server versions:

  • Microsoft SQL Server 2008 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2008 R2 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2012 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2014 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2016 - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2017 CU4 or later - All Editions (Express, Standard, Enterprise, etc.)
  • Microsoft SQL Server 2019 - All Editions (Express, Standard, Enterprise, etc.)

Keep in mind, hosting the SQL Safe repository on Microsoft SQL Server Express editions is supported; however, the repository database size is restricted to the limit imposed by those editions.

Supported EMC Environments

  • Data Domain OS 5.5, 5.6



IDERA |  Products | Purchase | Support |  Community | Resources |  About Us | Legal